defmodule Beanstream.Address do
  @moduledoc """
  Address information.
  """

  defstruct [
    name: nil,          # 64 alpha
    address_line1: nil, # 64 alpha
    address_line2: nil, # 64 alpha
    city: nil,          # 32 alpha
    province: nil,      # 2 characters
    country: nil,       # 2 characters
    postal_code: nil,   # 16 alpha
    phone_number: nil,  # 32 alpha
    email_address: nil, # 32 alpha
  ]

  @type t :: %Beanstream.Address{
    name: String.t,
    address_line1: String.t,
    address_line2: String.t,
    city: String.t,
    province: String.t,
    country: String.t,
    postal_code: String.t,
    phone_number: String.t,
    email_address: String.t,
  }

end
