defmodule Beanstream.PaymentProfile do
  @moduledoc """
  Make payments with a profile.
  """

  defstruct [
    complete: true,     # complete payment or pre-auth
    customer_code: nil, # alpha 32 characters
    card_id: 1,         # card 1-9
  ]

  @type t :: %Beanstream.PaymentProfile{
    complete: boolean,
    customer_code: String.t,
    card_id: pos_integer,
  }

end
