defmodule Beanstream.Mixfile do
  use Mix.Project

  def project do
    [
      app: :beanstream,
      version: "0.1.0",
      elixir: "~> 1.3",
      description: description,
      package: package,
      deps: deps,
      preferred_cli_env: [
        vcr: :test,
        "vcr.delete": :test,
        "vcr.check": :test,
        "vcr.show": :test,
      ],
    ]
  end

  # Configuration for the OTP application
  #
  # Type "mix help compile.app" for more information
  def application do
    [applications: [:httpoison]]
  end

  defp deps do
    [
      {:httpoison, "~> 0.9.0"},           # HTTP client
      {:poison, "~> 2.2.0"},              # JSON
      {:faker, "~> 0.6.0", only: :test},  # Generate fake data for tests
      {:exvcr, "~> 0.8.0", only: :test},  # Record requests
    ]
  end

  defp package do
    [
      name: "beanstream",
      files: ["lib", "mix.exs", "README*", "LICENSE*"],
      maintainers: [],
      licenses: ["MIT"],
      links: %{
        "GitHub" => "https://github.com/SoundPays/beanstream-elixir",
      }
    ]
  end

  defp description do
    """
    Unofficial Elixir client for processing payments through Beanstream.
    """
  end
end
